/*
Theme Name: Uncode Child
Description: Child theme for Uncode theme
Author: Undsgn™
Author URI: http://www.undsgn.com
Template: uncode
Version: 1.0.0
Text Domain: uncode
*/

:root {
  --brand-primary: #437658;
  --brand-secondary: #e20026;
}
/* home temp */
.home-temp .uncode_text_column strong {
  text-transform: uppercase;
}

.home-temp .hero {
  min-height: 100vh;
}

.home-temp .post-body {
  background-image: url(/wp-content/uploads/2026/07/bg-hero.jpg);
}

.home-temp .uncont {
  display: flex;
  flex-direction: column;
  height: 100%;
  & .logo-adelina {
    margin-block: auto !important;
    border: none;
  }
}

.home-temp .uncol.style-spec.style-dark {
  height: 100%;
}

.home-temp .border:before {
  content: "";
  position: absolute;
  height: 2px;
  width: calc(100vw - 72px);
  background-color: white;
  top: 0;
  left: 50%;
  translate: -50%;
}

/* =============================================================== */
/* --------- generali -------------------------------------------- */
/* =============================================================== */
.footer-scroll-top {
  translate: 0 -45px;
}

.single-fdm-menu .page-body,
.page-id-597 .page-body {
  translate: 0 -9px;
}

.m-negativo {
  margin-block: -18px;
}

.heading-text {
  & h1,
  & h2,
  & h3 {
    letter-spacing: 3px;
    line-height: 0.9;
  }
}

.uncode_text_column p {
  text-align: justify;
}

.fontsize-316641 {
  white-space: nowrap;
}

.fdm-section-header.link h3,
.fdm-section-header h3 {
  color: var(--brand-primary) !important;
  font-style: normal;
}

.fdm-item-price {
  color: var(--brand-secondary);
  font-weight: bold;
  font-size: clamp(16px, 1.5vw, 23px);
  letter-spacing: 4px;
}

/* animazioni */
@keyframes marquee-scroll {
  from {
    transform: translateX(0);
  }

  to {
    transform: translateX(-50%);
  }
}

@keyframes rotate {
  from {
    rotate: 0deg;
  }
  to {
    rotate: 360deg;
  }
}

.pattern-animationi {
  background-image: url("/wp-content/uploads/2026/07/patternV5-verde.svg");
  background-size: 36px;
  animation: x-infinite 120s linear infinite;
}

@keyframes x-infinite {
  from {
    background-position-x: 0%;
  }
  to {
    background-position-x: 100%;
  }
}
/* ================================================== */
/*  navbar ------------------------------------ */
/* ================================================================= */
.menu-wrapper header .menu-container .row-menu .row-menu-inner {
  padding-bottom: 4px;
  &:before {
    content: "";
    width: calc(100% - 72px);
    height: 2px;
    z-index: 1;
    background-color: white;
    position: absolute;
    bottom: 0;
  }
  &:after {
    content: "";
    background-image: url("/wp-content/uploads/2026/07/bordo-mare-column.svg");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    width: 95px;
    margin-left: calc(255px - 95px);
    height: 100%;
    z-index: 1;
    display: inline-block;
  }
}

.navbar-nav .menu-primary-inner {
  display: flex;
  justify-content: center;
  gap: 108px;
}

/* header menu */
.foto-header-menu {
  max-width: 220px;
  margin-bottom: 9px;
  margin-inline: auto;
  margin-bottom: -45px;
}
/* =============================================================== */
/* list */
/* =============================================================== */
.fdm-item-title {
  position: relative;
  & span.fdm-info-extra {
    position: absolute;
    top: -9px;
    left: 50%;
    translate: -50% -100%;

    font-size: 20px;
    font-weight: normal;
    opacity: 0.7;
  }
}

.single-fdm-menu footer {
  background-image: url("/wp-content/uploads/2026/07/bg-white-rotate.png");
  background-position: top left;
  background-repeat: no-repeat;
  background-size: cover;
}

ul.fdm-section {
  padding-left: 0px !important;
}

ul.fdm-section:before {
  content: "";
  position: absolute;
  top: 0px;
  height: 1px;
  width: 100%;
  max-width: 1340px;
  background-color: var(--brand-primary);
  left: 50%;
  translate: -50%;
}

ul.fdm-menu .fdm-column ul.fdm-section:first-child::before {
  display: none;
}

.fdm-menu-footer ul.fdm-menu .fdm-column ul.fdm-section:first-child::before {
  display: block;
  content: "";
}

.fdm-menu-footer
  ul.fdm-section
  + .fdm-menu-footer
  ul.fdm-section:last-child::before {
  display: none;
}

.fdm-menu-footer p:not([class]):not(.fdm-item-content > p) {
  display: none !important;
}

.fdm-the-menu > ul,
.fdm-menu-155 .fdm-section {
  padding-left: 0px !important;
}

.fdm-section-header h3 {
  font-size: clamp(64px, 10vw, 148px);
  text-align: center;
  text-transform: uppercase;
  -webkit-user-select: none;
  user-select: none;
  margin-bottom: 0px !important;
  line-height: 1;
  &:hover {
    color: var(--brand-secondary) !important;
  }
}

p.fdm-item-title {
  text-align: center;
  font-size: clamp(36px, 9vw, 59px);
  text-transform: uppercase;
  line-height: 1;
  font-style: normal;
  font-family:
    etna-x-condensed,
    serif,
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    Roboto,
    Oxygen-Sans,
    Ubuntu,
    Cantarell,
    "Helvetica Neue",
    sans-serif;
  font-weight: 600 !important;
  padding-left: 36px;
}

.fdm-item-panel .fdm-item-title {
  font-weight: 400;
  letter-spacing: 2px;
}

.fdm-menu .fdm-item-has-price .fdm-item-panel p.fdm-item-title {
  padding-inline: 0;
  letter-spacing: 2px;
  margin-bottom: 9px;
}

.fdm-menu .fdm-item-panel p.fdm-item-title {
  padding-inline: 0;
}

.fdm-item .fdm-item-panel .fdm-item-content {
  text-align: center;
  margin-inline: auto;
  max-width: 1440px;
  > p {
    padding-right: 0;
    font-size: clamp(14px, 1.5vw, 23px);
    line-height: 1.5;
    letter-spacing: 4px;
  }
}

.fdm-item-panel {
  position: relative;
}

.fdm-menu .fdm-item-price-wrapper {
  width: fit-content;
  height: fit-content;
  text-align: center;
  top: unset;
  right: 50%;
  bottom: -18px;
  translate: 50% 50%;
}

.fdm-item-panel {
  margin-bottom: 36px !important;
}

.fdm-the-menu .fdm-section-header {
  border: none;
  padding-block: 81px;
}

.fdm-section {
  display: flex;
  flex-direction: column;
  gap: 45px;
  margin-block: 0px !important;
}

/* X tra liste */
.fdm-section .fdm-section-header {
  position: relative;
  -webkit-user-select: none;
  user-select: none;
}

/* STATO BASE (Chiuso) */
.fdm-section .fdm-section-header:before {
  content: "";
  position: absolute;
  bottom: -9px;
  left: 50%;
  translate: -50% 50%;

  /* Dimensioni e font */
  width: 55px;
  aspect-ratio: 1/1;
  font-weight: 100;
  font-family:
    roc-grotesk,
    serif,
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    Roboto,
    Oxygen-Sans,
    Ubuntu,
    Cantarell,
    "Helvetica Neue",
    sans-serif;
  font-style: normal;

  /* USIAMO LE MASCHERE INVECE DEL BACKGROUND-IMAGE */
  -webkit-mask-image: url("/wp-content/uploads/2026/07/close.svg");
  mask-image: url("/wp-content/uploads/2026/07/close.svg");
  -webkit-mask-size: contain;
  mask-size: contain;
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  -webkit-mask-position: center;
  mask-position: center;

  /* Colore base dell'icona (quando NON c'è hover) */
  background-color: #437658;

  /* Partiamo rimpiccioliti e invisibili */
  opacity: 0;
  scale: 0;

  /* Transizione aggiornata (rimossa la rotazione) */
  transition:
    opacity 0.3s ease,
    scale 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275),
    background-color 0.3s ease;
}

/* STATO ATTIVO (Aperto) */
.fdm-section-header.sezione-aperta {
  margin-bottom: 72px;
}

.fdm-section .fdm-section-header.sezione-aperta:before {
  opacity: 1;
  scale: 1;
}

/* STATO HOVER (Quando è aperto e ci passi sopra col mouse) */
.fdm-section .fdm-section-header.sezione-aperta:hover:before {
  background-color: #e20026;
  scale: 1.15;
}

.torna .fdm-item-title {
  width: fit-content;
  margin-inline: auto;
  position: relative;
  &:after {
    content: "";
    background-image: url("/wp-content/uploads/2026/07/FRECCIA.svg");
    background-repeat: no-repeat;
    background-position: center;
    height: 50%;
    aspect-ratio: 1/1;
    z-index: 2;
    position: absolute;
    left: 0px;
    bottom: 50%;
    translate: 0% 60%;
    scale: -1;
    rotate: 90deg;
  }
}

/* =============================================================== */
/* ------------  HOME  ------------------------------------------- */
/* =============================================================== */

/* top bar ------------------------------------------------------------------ */
.top-bar,
.top-bar * {
  max-height: 150px;
  /* margin-bottom: -9px; */
}

.top-bar .background-inner.srcset-bg {
  background-size: 110% !important;
}

/* ----------------------------------------------------------------------- */
/* marqueee */
.faro {
  position: relative;
  margin-right: 36px;
  width: fit-content;
  &:before {
    content: "";
    background-image: url("/wp-content/uploads/2026/07/faro.svg");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    height: 100%;
    aspect-ratio: 1/1;
    position: absolute;
    right: -33px;
  }
}

.ringhiera {
  position: relative;
  margin-right: 90px;
  width: fit-content;
  &:before {
    content: "";
    background-image: url("/wp-content/uploads/2026/07/ringhiera.svg");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
    width: 90px;
    height: 50%;
    position: absolute;
    right: -90px;
    translate: 0 50%;
  }
}

.ondine {
  position: relative;
  margin-right: 63px;
  width: fit-content;
  &:before {
    content: "";
    background-image: url("/wp-content/uploads/2026/07/ondine.svg");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
    width: 63px;
    height: 50%;
    position: absolute;
    right: -63px;
    translate: 0 50%;
  }
}

.text-marquee {
  width: fit-content;
  display: flex;
  animation: marquee-scroll 60s linear infinite;
  padding-bottom: 27px;
}

.text-marquee ul {
  display: flex;
  align-items: center;
  flex-wrap: nowrap;
  width: max-content;
  margin: 0;
  padding: 0 !important;
  list-style: none !important;
  will-change: transform;
}

.text-marquee li {
  flex: 0 0 auto;
  white-space: nowrap;
  font-weight: 100 !important;
  font-size: 17px;
  letter-spacing: 3px;
}
/* ----------------------------------------------------------------------- */
.hero {
  z-index: 1;
}

.logo-adelina {
  border-top: 2px solid white;
  padding-top: 36px;
  margin-top: 0 !important;
}

.hero .logo-adelina .icon-media {
  width: 100% !important;
}

.uncode_text_column p {
  letter-spacing: 4.5px;
  line-height: 1.5;
}

footer .uncode_text_column p,
footer li {
  letter-spacing: 2px;
  font-weight: 400;
}

/* nav */
.list-button-menu {
  & .wpb_row.row-inner {
    margin: 0px;
    display: flex;
  }

  & .wpb_column {
    width: auto;
    height: auto;
    flex-grow: 1;
    padding: 45px 0px !important;
    border: 2px solid white;
    cursor: pointer;
    &:not(:last-of-type) {
      border-right: none;
    }
    & .uncol * {
      width: fit-content;
      margin-inline: auto;
    }
    & h2 {
      padding-inline: 18px;
      line-height: 0.6;
      transition: all 250ms ease;
    }
    &:hover {
      background-image: url("/wp-content/uploads/2026/07/patternV5.svg");
      background-size: 36px;
      & h2,
      & h2 a {
        transition: all 250ms ease;
        color: var(--brand-secondary);
      }
    }
  }
}

.hero .list-button-menu .wpb_column {
  min-width: 25%;
}

.list-button-menu .wpb_column:hover .style-dark h2,
.vc_row.button-full:hover .style-dark h2 {
  color: white;
}

/* ----------------------------------------------------------------------- */
/* under hero */
.under-hero .row.limit-width.row-parent {
  max-width: 1440px;
}

.under-hero .logo-bordo-mare .icon-media {
  width: 100% !important;
}

/* menu */
.row-menu .text-marquee {
  text-transform: uppercase;
  & :before {
    filter: brightness(100);
  }
}

.row-menu h2 {
  line-height: 0.6;
}

.vc_row.button-full {
  border: 2px solid white;
  padding-bottom: 50px;
  padding-top: 54px;
  margin-top: 72px !important;
  cursor: pointer;

  & h2 {
    transition: all 250ms ease;
    line-height: 0.6;
  }
  &:hover {
    background-image: url("/wp-content/uploads/2026/07/patternV5.svg");
    background-size: 36px;
    & h2 {
      transition: all 250ms ease;
      color: var(--brand-primary);
    }
  }
}

.circle-badge {
  & .icon-media {
    width: 50px !important;
  }
  &:before {
    content: "";
    background-image: url("/wp-content/uploads/2026/07/punta-secca-circle.svg");
    height: 180%;
    aspect-ratio: 1/1;
    position: absolute;
    inset: 0;
    margin: auto;
    animation: rotate 60s linear infinite;
    filter: brightness(100);
  }
}

.circle-badge .fluid-svg {
  aspect-ratio: 1/1;
  max-width: 150px;
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
  animation: cambiaSfondo 3s steps(1) infinite;
  margin: 0 auto;
  filter: brightness(0) invert(1);
}

@keyframes cambiaSfondo {
  0% {
    background-image: url("/wp-content/uploads/2026/07/faro.svg");
  }

  33.33% {
    background-image: url("/wp-content/uploads/2026/07/ringhiera.svg");
  }

  66.66% {
    background-image: url("/wp-content/uploads/2026/07/ondine.svg");
  }
}

.circle-badge .fluid-svg img {
  opacity: 0;
}

.row_bg-casa .background-wrapper {
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  animation: cambiaSfondoBg 3s steps(1) infinite;
}

@keyframes cambiaSfondoBg {
  0% {
    background-image: url("/wp-content/uploads/2026/07/bg_puntasecca-1.jpg");
  }

  33.33% {
    background-image: url("/wp-content/uploads/2026/07/Ringhiera.jpg");
  }

  66.66% {
    background-image: url("/wp-content/uploads/2026/07/casa-montalbano.jpg");
  }
}

.row_bg-casa .background-wrapper > div {
  opacity: 0;
}

/* nella casa ------------------------------------------------- */
.img-right .heading-text {
  width: fit-content;
  position: relative;
  &:after {
    content: "";
    height: 90%;
    width: calc((100vw - 100%) - (36px + 72px));
    position: absolute;
    right: -36px;
    background-image: url("/wp-content/uploads/2026/07/casa-montalbano.jpg");
    background-position: bottom right;
    background-size: cover;
    translate: 100%;
    max-width: 480px;
  }
}

.img-left .heading-text {
  width: fit-content;
  position: relative;
  &:after {
    content: "";
    height: 90%;
    width: calc((100vw - 100%) - (36px + 72px));
    position: absolute;
    left: -36px;
    background-image: url("/wp-content/uploads/2026/07/casa-montalbano.jpg");
    background-position: bottom right;
    background-size: cover;
    translate: -100%;
    bottom: 0;
  }
}

.title-bg .heading-text {
  width: fit-content;
  position: relative;
  &:before {
    content: "";
    height: 98%;
    width: calc(100vw - 100%);
    position: absolute;
    right: -36px;
    background-image: url("/wp-content/uploads/2026/07/patternV5-verde.svg");
    background-size: 36px;
    translate: 100%;
    animation: x-infinite 60s linear infinite;
    min-width: 600px;
  }
}

.title-bg.white .heading-text {
  &:before {
    background-image: url("/wp-content/uploads/2026/07/patternV5.svg");
  }
}

.align_right .title-bg .heading-text {
  margin-left: auto;
  &:before {
    left: -36px;
    background-image: url("/wp-content/uploads/2026/07/patternV5-verde.svg");
    translate: -100%;
  }
}

#page-header .title-bg .heading-text:before {
  width: calc((100vw - 100%) - 108px);
  min-width: unset;
}

/* fette di mare ----------------------------------------------------------- */
.row-fette .icon-media {
  width: 100% !important;
}

.row-fette:before {
  content: "";
  height: 105%;
  aspect-ratio: 1/1;
  position: absolute;
  left: -108px;
  z-index: 2;
  background-image: url("/wp-content/uploads/2026/07/Pizza-VISO.png");
  background-size: cover;
  background-repeat: no-repeat;
  background-position-y: bottom;
}

.pizza-mani {
  height: 90%;
  aspect-ratio: 20/9;
  position: absolute !important;
  right: 0;
  bottom: -104px;
  translate: 0 0%;
  z-index: 0;
  display: flex;
  flex-direction: column;
  justify-content: end;
}

.logo-fette {
  max-width: 1300px;
  margin-inline: auto;
  z-index: 1;
}

/* ----------------------------------------------------------------- */
/* about */
.row-about .heading-text h2.h1,
.row-about .heading-text h3.h1 {
  text-align: justify;
}

.border-block .row {
  border-block: 2px solid white;
  & .row-inner {
    padding-block: 18px;
    & .wpb_column {
      padding-left: 0px !important;
    }
  }
}

.row-about .text-marquee {
  padding-bottom: 0;
}

.row-about .text-marquee li {
  font-weight: 500 !important;
}

.row-prenota .text-marquee {
  padding-top: 9px;
  padding-bottom: 18px;
  & li {
    font-weight: 500 !important;
  }
}

.row-prenota .vc_custom_heading_wrap.title-bg {
  border-top: 2px solid var(--brand-primary);
  margin-top: 0px !important;
  padding-top: 36px;
}

/* ABOUT 2   */
.border-dual-split .row {
  border-block: 2px solid white;
  &:before {
    content: "";
    height: 100%;
    width: 2px;
    background-color: white;
    position: absolute;
    right: 50%;
  }

  & .row-inner {
    padding-right: 0px;
  }

  .wpb_column:has(.un-media-gallery) .uncont {
    overflow: hidden;
    margin-right: 36px !important;
  }
}
/* --------------------------------- */
/* row joseph ---------------------- */
.row-joseph .uncode-single-media {
  position: relative;
  &:before {
    content: "";
    height: 65%;
    width: calc(100% + 72px);
    position: absolute;
    left: 18px;
    background-image: url("/wp-content/uploads/2026/07/patternV5.svg");
    background-size: 36px;
    translate: 0%;
    animation: x-infinite 60s linear infinite;
  }
  &:after {
    content: "";
    width: 60%;
    aspect-ratio: 16/9;
    position: absolute;
    right: -9px;
    bottom: -54px;
    background-image: url("/wp-content/uploads/2026/07/firma.svg");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: bottom;
    translate: 0%;
    z-index: 1;
  }
}
/* -------------------------------------------------- */
/* prenota ora ---------------------------------------------------- */
.row-prenota .img-right .heading-text:after {
  background-image: url("/wp-content/uploads/2026/07/pizza-prenota.png");
  translate: -100%;
  right: unset;
  left: -36px;
}

.row-prenota .vc_row.button-full {
  border: 2px solid var(--brand-primary);
  &:hover {
    background-image: url("/wp-content/uploads/2026/07/patternV5-verde.svg");
    & h2 {
      color: var(--brand-secondary);
    }
  }
}

.row-prenota .list-button-menu {
  margin-top: 0 !important;

  & .wpb_column {
    padding: 50px 0px !important;
    padding-top: 54px !important;
    border: 2px solid var(--brand-primary);
    border-top: none;
    white-space: nowrap;

    &:hover {
      background-image: url("/wp-content/uploads/2026/07/patternV5-verde.svg");
    }
    &:not(:last-of-type) {
      border-right: none;
    }
  }
}

.row-prenota .img-right .heading-text {
  &:after {
    max-width: unset;
  }
}
/* ----------------------------------------- */
/* sezione social ------------------------- */
.slider-insta .owl-item {
  width: 400px !important;
  aspect-ratio: 4/5;
}

.slider-insta .owl-item .fts-instagram-wrapper {
  width: 400px !important;
  aspect-ratio: 4/5;
  height: 100% !important;
}

.slider-insta .owl-stage-outer {
  clip-path: polygon(0 0, 200% 0, 200% 100%, 0% 100%);
}

.social-link .vc_custom_heading_wrap {
  position: relative;
  margin-right: 63px;
  &:after {
    content: "";
    background-image: url("/wp-content/uploads/2026/07/FRECCIA.svg");
    background-repeat: no-repeat;
    height: 50%;
    aspect-ratio: 1/1;
    z-index: 2;
    position: absolute;
    right: -18px;
    bottom: 50%;
    translate: 100% 50%;
  }
}

.social-link .uncode-flex-int {
  width: fit-content;
  margin-left: 0 !important;
  &:before {
    content: "";
    position: absolute;
    width: 3px;
    height: 100%;
    left: 50%;
    translate: -9px -2px;
    background-color: var(--brand-primary);
  }
}

.slider-insta {
  margin-bottom: -72px;
  padding-top: 18px;
}

.slider-insta {
  & .col-lg-4 {
    width: 35%;
  }

  & .col-lg-8 {
    width: 65%;
  }
}

.social-link {
  margin-top: 72px !important;
}

.row-social {
  & .row.row-parent {
    padding-top: 47px;
  }

  & .title-bg .heading-text:before {
    right: -126px;
  }
}

.row-social {
  margin-bottom: 63px;
  margin-top: 9px;
}
/* --------------------------------------- */
/* footer --------------------------------- */
footer .icon-media {
  width: 100% !important;
  max-width: 190px;
  display: block;
  margin-inline: 0 !important;
}

footer .uncode-single-media,
footer .uncode-single-media * {
  width: 190px;
}

footer .uncode-single-media .t-inside {
  max-width: fit-content;
}

footer .uncode_text_column.text-lead {
  margin-top: 0 !important;
}

footer.site-footer .logo-footer,
footer.site-footer .logo-footer * {
  max-width: 215px;
  width: 215px;
}

footer.site-footer
  .wpb_column.column_parent
  .uncol
  .uncoltable
  .uncell
  > .uncont
  > .uncode-single-media.logo-footer {
  margin-top: -23px !important;
}

/* footer copyright */
.footer-last {
  background-color: var(--brand-primary);
}

footer .site-info.uncell {
  display: flex;
  justify-content: space-between;
  width: 100%;
  padding-block: 18px;
  & p {
    margin: 0px;
    font-size: 14px;
    font-weight: 500;
  }
}

footer li a:hover {
  color: var(--brand-secondary) !important;
}

footer .text-lead {
  margin-top: 0px !important;
  text-transform: uppercase;
}

footer .uncode-flexbox .uncode-list {
  & li {
    line-height: 1.4;
  }
  &.link ul {
    display: flex;
    flex-direction: column;
    gap: 9px;
  }
}

.iubenda-link ul {
  display: flex;
  gap: 18px;
  text-transform: uppercase;
  margin-bottom: 9px;
  white-space: nowrap;
  & li {
    position: relative;
    &:not(:last-child):before {
      content: "";
      height: 50%;
      width: 1px;
      background-color: var(--brand-primary);
      position: absolute;
      right: -9px;
      bottom: 50%;
      translate: 0 50%;
    }
  }
}

.footer-header {
  & p {
    font-weight: 200;
    font-size: clamp(16px, 1.5vw, 20px);
    letter-spacing: 2px;

    & a {
      text-decoration: underline;
      text-decoration-thickness: 1px;
    }
  }
}

footer .uncode-flex-int .uncode-flex-int:has(.iubenda-link) {
  max-width: fit-content;
}

/* ====================================== */
/* pagina contatti ----------------------- */
/* ========================================= */
.row-info-contatti .list-button-menu {
  & .wpb_column {
    padding: 50px 0px !important;
    padding-top: 54px !important;
    border: 2px solid var(--brand-primary);
    border-bottom: none;

    &:hover {
      background-image: url("/wp-content/uploads/2026/07/patternV5-verde.svg");
    }
    &:not(:last-of-type) {
      border-right: none;
    }
  }
}

.row-info-contatti .vc_row.button-full {
  margin-top: 0px !important;
  border: 2px solid var(--brand-primary);
  &:hover {
    background-image: url("/wp-content/uploads/2026/07/patternV5-verde.svg");
    & h2 {
      color: var(--brand-secondary);
    }
  }
}

/* form --------------------------- */
/* Struttura a griglia principale */
.cf7-custom-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  border-top: 2px solid #54755b;
  border-left: 2px solid #54755b;
  margin-bottom: 5px;
}

/* Celle della griglia */
.cf7-custom-grid .form-cell {
  border-right: 2px solid #54755b;
  border-bottom: 2px solid #54755b;
}

/* Fa occupare al messaggio entrambe le colonne */
.cf7-custom-grid .form-cell.full-width {
  grid-column: 1 / -1;
}

/* Reset degli input per rimuovere i bordi di default del browser/tema */
.cf7-custom-grid input,
.cf7-custom-grid textarea {
  width: 100%;
  border: none !important;
  background: transparent;
  padding-inline: 36px;
  padding-top: 0;
  font-family:
    etna-x-condensed,
    serif,
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    Roboto,
    Oxygen-Sans,
    Ubuntu,
    Cantarell,
    "Helvetica Neue",
    sans-serif;
  font-size: clamp(40px, 7vw, 104px);
  color: #54755b;
  box-sizing: border-box;
  outline: none;
  box-shadow: none;
  margin-top: 0px;
}

p:has(input, textarea) {
  margin-top: 0px !important;
}

.cf7-custom-grid input::placeholder,
.cf7-custom-grid textarea::placeholder {
  color: #54755b;
}

.form-footer-section {
  text-align: right;
  & p {
    font-weight: 200;
    font-size: clamp(11px, 1.5vw, 20px);
    letter-spacing: 2px;
    line-height: 1;
  }
}

p.privacy-link {
  margin-top: 9px;
}

.informativa {
  padding-block: 18px;
  & p {
    font-weight: 200;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 15px;
    color: #54755b;
    font-size: clamp(11px, 1.5vw, 18px);
    letter-spacing: 3px;
    margin-bottom: 18px;
  }
}

.informativa .wpcf7-form-control-wrap,
.informativa .wpcf7-list-item {
  margin: 0;
  display: flex;
  align-items: center;
}

.informativa input[type="checkbox"] {
  -webkit-appearance: none;
  appearance: none;
  width: 22px;
  height: 22px;
  border: 2px solid #54755b;
  border-radius: 50%;
  background-color: transparent;
  cursor: pointer;
  display: grid;
  place-content: center;
  transition: all 0.2s ease-in-out;
}

.informativa input[type="checkbox"]:checked::before {
  content: "";
  width: 12px;
  height: 12px;
  border-radius: 50%;
  background-color: #54755b;
}

form.wpcf7-form .submit-btn-wrapper-large .wpcf7-form-control {
  width: 100%;
  border: 2px solid var(--brand-primary);
  padding-bottom: 30px;
  padding-top: 14px;
  margin-top: 18px;
  cursor: pointer;
  transition: all 250ms ease;
  line-height: 1;
  font-size: clamp(70px, 7vw, 104px) !important;
  font-family: etna-x-condensed !important;
  background-color: transparent;
  letter-spacing: 1px;
  &:hover {
    transition: all 250ms ease;
    color: var(--brand-secondary);
    background-image: url(/wp-content/uploads/2026/07/patternV5-verde.svg);
    background-size: 36px;
  }
}

.wpcf7 span.wpcf7-not-valid-tip {
  position: absolute;
  bottom: 9px;
  left: 36px;
  letter-spacing: 2px;
  font-size: clamp(10px, 0.8vw, 13px);
}

input.wpcf7-form-control.wpcf7-submit[disabled] {
  filter: grayscale(1);
}

.column_loghi-partner .fluid-svg img {
  filter: brightness(0) invert(1);
}

@media screen and (max-width: 1650px) {
  .row-info-contatti .list-button-menu {
    & .wpb_row.row-inner {
      flex-direction: column;
    }
  }

  .row-info-contatti .list-button-menu .wpb_column:first-child {
    border-right: 2px solid var(--brand-primary);
  }

  footer .uncode-flexbox:has(.logo-footer) .uncode-flex-int {
    flex-wrap: wrap;
    justify-content: start;
    & .link {
      height: fit-content;
      margin-block: auto;
      & .text-lead {
        flex-direction: row;
      }
    }
  }
}

@media screen and (max-width: 1440px) {
  .heading-text .fontsize-316641 {
    font-size: clamp(140px, 18.2vw, 260px);
  }

  .logo-fette {
    max-width: 70%;
  }

  /* social */
  .slider-insta .owl-item,
  .slider-insta .owl-item .fts-instagram-wrapper {
    width: 320px !important;
  }
}

@media (max-width: 1200px) {
  .iubenda-link ul {
    gap: 9px;
    flex-direction: column;
    & li:before {
      display: none;
    }
  }

  .list-button-menu .wpb_column h2,
  .vc_row.button-full h2,
  .row-about .heading-text h3 {
    font-size: clamp(50px, 5vw, 70px);
  }

  .vc_row.button-full {
    padding-bottom: 40px !important;
    padding-top: 45px !important;
  }

  .list-button-menu .wpb_column,
  .row-prenota .list-button-menu .wpb_column,
  .row-info-contatti .list-button-menu .wpb_column {
    height: fit-content;
    padding-bottom: 40px !important;
    padding-top: 45px !important;
  }

  form.wpcf7-form .submit-btn-wrapper-large .wpcf7-form-control {
    line-height: 0.9;
    font-size: clamp(50px, 5vw, 70px) !important;
    white-space: normal;
    padding-top: 18px;
    padding-bottom: 27px;
  }
}

@media (max-width: 1024px) {
}

@media (max-width: 959px) {
  .home-temp .post-wrapper .post-body .hero .row.row-parent {
    height: 100vh !important;
    & .wpb_row.row-inner {
      height: 100% !important;
    }

    & .col-lg-12 {
      height: 100%;
    }

    & .uncont {
      height: 100% !important;
    }
  }

  footer .footer-last.row-container {
    padding-block: 0px;
    padding-inline: 18px;
  }

  .vc_row.button-full {
    margin-top: 45px !important;
  }

  .list-button-menu .wpb_row.row-inner {
    flex-direction: column;
  }

  .style-dark .list-button-menu .wpb_column {
    border: 2px solid white;
    &:not(:last-of-type) {
      border-bottom: none;
      border-right: 2px solid white;
    }
  }

  .row-prenota .list-button-menu .wpb_column:not(:last-of-type) {
    border-right: 2px solid var(--brand-primary);
  }

  .row-about .row-inner.single-block-padding:has(h3) {
    padding-inline: 0px;
    display: flex;
    flex-direction: column-reverse;
    gap: 36px;
  }

  .border-dual-split .row-child .wpb_row.row-inner.single-block-padding {
    display: flex;
    gap: 72px;
    padding-inline: 0;
    padding-bottom: 0;
    & .wpb_column.column_child {
      padding: 0px !important;
      & .uncont {
        margin: 0px !important;
      }
    }
  }

  footer .uncode-flexbox:has(.logo-footer) .uncode-flex-int {
    flex-wrap: nowrap;
    justify-content: center;
    flex-direction: column;
    & .link {
      height: fit-content;
      margin-block: auto;
      & .text-lead {
        flex-direction: column;
      }
    }
  }

  .logo-footer {
    margin-inline: auto;
  }

  footer .row-container:not(.footer-last) .row.row-parent:before {
    display: none;
  }

  .hero .list-button-menu .wpb_row.row-inner {
    flex-direction: column;
  }

  .row-about .inverted-device-order .wpb_column:first-child .uncol {
    padding-top: 36px !important;
  }

  .row-joseph .uncode-single-media {
    margin-bottom: 27px;
    max-width: 70vw;
    min-width: 280px;
    margin-inline: auto;
    &:before {
      width: 100vw;
    }
    &:after {
      width: 60%;
      bottom: -36px;
    }
  }

  h2.fontsize-316641 {
    white-space: wrap;
  }

  .row-casa .uncont > .title-bg.img-right .heading-text {
    &::before {
      height: 100%;
      right: 36px;
    }
    &::after {
      height: 90%;
      width: calc((100vw - 100%) - 36px);
      right: 36px;
      top: 0;
    }
  }

  .slider-insta .owl-stage-outer {
    clip-path: unset;
    margin-inline: auto;
  }

  .row-about .heading-text h3 {
    font-size: clamp(35px, 5vw, 70px);
  }

  .slider-insta .col-lg-4,
  .slider-insta .col-lg-8 {
    width: 100%;
  }

  .pizza-mani {
    bottom: -72px;
    display: block;
  }

  .row-fette .row.row-parent {
    padding-bottom: 27px;
  }

  .slider-insta {
    margin-top: 18px !important;
  }

  .social-link {
    margin-block: 36px !important;
  }

  .vc_row.row-container .uncont > .title-bg.img-right .heading-text {
    padding-bottom: 200px;

    &:after {
      height: 55%;
      bottom: 27px;
      width: calc(100vw - 72px);
      max-width: unset;
      right: unset;
      left: 0;
      translate: 0%;
      top: unset;
    }
    &:before {
      height: calc(55% + 18px);
      width: 100vw;
      right: unset;
      left: 0;
      bottom: 9px;
      translate: 0%;
    }
  }

  .align_right .title-bg .heading-text {
    margin-left: unset;
  }

  .uncode_text_column p {
    text-align: left;
    word-break: break-all;
  }

  .border-dual-split .row {
    border-bottom: none;
  }

  .main-container
    .row-joseph
    .inverted-device-order
    > .row
    > .row-inner
    > div:first-child:not([class*="col-sm"]) {
    padding-top: 0 !important;
  }

  .navbar-nav .menu-primary-inner {
    gap: 9px;
    flex-direction: column;
    text-align: center;
  }
  .menu-horizontal
    .menu-horizontal-inner
    > div:not(:first-child):not(.uncode-close-offcanvas-mobile):not(
      .navbar-main
    ):not(.appended-navbar) {
    padding: 0;
  }

  .menu-wrapper header .menu-container .row-menu .row-menu-inner:before {
    width: calc(100% - 72px);
    left: 36px;
    bottom: 18px;
    transition: all 250ms ease;
  }

  .menu-wrapper
    header.is_mobile_open
    .menu-container
    .row-menu
    .row-menu-inner:before {
    bottom: 0px;
    transition: all 100ms linear;
  }

  header .fa-angle-right:before {
    display: none;
  }

  body.menu-mobile-default
    .main-menu-container:not(.uncol *)
    .menu-horizontal-inner {
    padding-block: 18px;
  }

  .submenu-dark:not(.isotope-filters):not(.top-menu-enhanced) .menu-smart,
  .submenu-dark:not(.isotope-filters):not(.top-menu-enhanced)
    .menu-sidebar-inner,
  .submenu-dark:not(.isotope-filters):not(.top-menu-enhanced)
    .main-menu-container {
    background-color: rgb(255 255 255 / 0%);
  }

  .row-menu.limit-width {
    position: relative;
  }

  .row-menu.limit-width::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url("https://stage10.gocomunicazione.it/wp-content/uploads/2026/07/bg-verde-strapV2.png");
    background-position: center center;
    background-size: auto;

    opacity: 0;
    visibility: hidden;

    z-index: -1;

    transition:
      opacity 250ms ease-in-out,
      visibility 0.5s ease-in-out;
  }

  .is_mobile_open .row-menu.limit-width::before {
    opacity: 1;
    visibility: visible;
  }

  .header-wrapper .row-background {
    translate: 0 -5px;
  }

  #main-logo {
    max-width: 100px;
  }

  div.menu-container .logo-container {
    padding-block: 9px !important;
  }
}

@media (max-width: 769px) {
  .pizza-mani {
    bottom: -36px;
    display: block;
  }

  .heading-text .fontsize-316641 {
    font-size: clamp(80px, 20vw, 120px);
  }

  .border-dual-split .row-child .wpb_row.row-inner.single-block-padding {
    flex-direction: column;
    gap: 36px;

    & .wpb_column.column_child:has(.uncode_text_column) {
      padding-top: 36px !important;
      border-top: 2px solid white;
    }
  }

  .border-dual-split .row:before {
    display: none;
    content: "";
  }

  .under-hero .wpb_row.row-inner {
    max-height: 200px;
  }

  .circle-badge .fluid-svg {
    max-height: 100px;
  }

  .row-social .title-bg {
    width: fit-content;
    & .heading-text:before {
      right: -36px;
    }
  }

  .list-button-menu .wpb_column,
  .row-prenota .list-button-menu .wpb_column,
  .row-info-contatti .list-button-menu .wpb_column {
    height: fit-content;
    padding-bottom: 24px !important;
    padding-top: 27px !important;
  }

  .row-info-contatti .list-button-menu .wpb_column h2 {
    min-height: 2em;
    display: flex;
    align-items: center;
  }

  .row-prenota .vc_row.button-full {
    margin-bottom: 63px !important;
  }

  .row-prenota .list-button-menu .wpb_column:first-child {
    border-top: 2px solid var(--brand-primary);
  }

  .row-casa .title-bg:last-of-type .fontsize-316641 {
    line-height: 0.9 !important;
    word-break: break-all;
  }

  .button-full h2 {
    line-height: 1;
  }

  .vc_row.button-full {
    padding-block: 27px !important;
  }

  footer .uncode-flexbox .uncode-flex-int:has(.uncode-flexbox-inner) {
    flex-direction: column;
    gap: 72px;
    padding-top: 36px;
    & .uncode-flexbox-inner .uncode-flex-int {
      text-align: center;
      align-items: center;
    }
  }

  .row_bg-casa .row.row-parent,
  .row_bg-casa .row.row-parent .wpb_row.row-inner {
    min-height: 550px !important;
    height: 550px !important;
  }

  .contatti-page .list-button-menu h2,
  .contatti-page .button-full h2 {
    font-size: clamp(32px, 7vw, 50px);
  }

  .contatti-page .button-full h2 {
    line-height: 0.9;
    padding-inline: 9px;
  }

  .wpcf7 span.wpcf7-not-valid-tip {
    bottom: 0px;
  }
}

@media (max-width: 569px) {
  .heading-text {
    & h1,
    & h2,
    & h3 {
      letter-spacing: 0px;
    }
  }

  .safari .list-button-menu .uncoltable {
    display: flex;
  }

  .cf7-custom-grid input,
  .cf7-custom-grid textarea {
    padding-inline: 9px;
  }

  .cf7-custom-grid .form-cell:nth-child(3),
  .cf7-custom-grid .form-cell:nth-child(4) {
    grid-column: 1 / -1;
  }

  .contatti-page .button-full h2 {
    max-width: 250px;
  }

  .wpcf7 span.wpcf7-not-valid-tip {
    left: 9px;
  }
}

@media (max-width: 450px) {
  .fdm-item-panel .fdm-item-price-wrapper {
    text-align: center;
    position: absolute;
    margin-bottom: 0;
  }

  .foto-header-menu {
    margin-bottom: -18px;
  }

  .fdm-the-menu .fdm-section-header {
    padding-block: 45px;
  }

  .fdm-section .fdm-section-header:before {
    bottom: -27px;
  }

  .row-casa .align_right .title-bg .heading-text {
    margin-left: unset;
    &:before {
      left: -18px;
      display: none;
    }
  }

  .row-prenota .button-full {
    padding-block: 27px !important;
    padding-inline: 9px;
    & h2 {
      line-height: 0.9;
    }
  }
}
